DigitalOcean CDN
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update DigitalOcean CDN action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "DigitalOcean CDN",
"type": "DIGITAL_OCEAN_CDN",
"trigger_time": "ON_EVERY_EXECUTION",
"input_type": "SCM_REPOSITORY",
"local_path": "/",
"remote_path": "/merged",
"endpoint": "df590699-f862-45d1-aad0-0e74280ebe50",
"purge_all": false,
"integration": {
"identifier": "digitalocean"
},
"deployment_excludes": [
"/tmp/",
"*.log"
],
"deployment_includes": [
"/assets/style",
"/tmp/file.txt"
]
}'STATUS200 OK